Results 1 to 5 of 5

Thread: CodeLite install broken

  1. #1

    Default CodeLite install broken

    On current Tumbleweed installing CodeLite (8.1-1.25) using zypper fails. Executable cannot run due to it not being able to open the shared library libplugin.so so looks like a broken dependency. However if I look at what provides libplugin.so I have 2 packages installed (codelite & libQt5Gui5) that supposedly provide it.

    Anyone seen this and have an easy way to fix it?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,378

    Default Re: CodeLite install broken

    Hello and welcome to these forums.

    Why we understand that you want to tell us what you think tha happens, we always like to see what you did and got. So please not (only) say "installing X using zypper fails", but copy/paste from your terminal window from and including the line with the prompt and the zypper command up to and including the next prompt in a post between CODE tags. You get the CODE tags by clicking on the button with the # in the tool bar of the post editor. That will look somewhat like:
    Code:
    boven:~ # zypper in aap
    Loading repository data...
    'aap' not found in package names. Trying capabilities.
    No provider of 'aap' found.
    Resolving package dependencies...
    
    Nothing to do.
    boven:~ #
    Same for your trial to run the program. We want to see what you saw.

    Same for you looking what is installed.
    Henk van Velden

  3. #3

    Default Re: CodeLite install broken

    Fortunately I had a clean virtual machine from a time before I installed CodeLite, so I was able to retrace my steps.

    (1) Looking at what codelite provides:

    Code:
    zim$ zypper info --provides codelite
    Loading repository data...
    Reading installed packages...
    
    
    Information for package codelite:
    ---------------------------------
    Repository     : openSUSE-Tumbleweed-Oss                                                   
    Name           : codelite                                                                  
    Version        : 8.1-1.25                                                                  
    Arch           : x86_64                                                                    
    Vendor         : openSUSE                                                                  
    Installed Size : 40.9 MiB                                                                  
    Installed      : No                                                                        
    Status         : not installed                                                             
    Source package : codelite-8.1-1.25.src                                                     
    Summary        : Powerful open-source, cross platform code editor for C,C++,PHP and Node.js
    Description    :                                                                           
        CodeLite is a powerful open-source, cross platform code editor for the
        C,C++,PHP and Node.js programming languages.
        It uses a sophisticated, yet intuitive interface which allows user
        easily to create, build and debug complex projects.
    Provides       : [9]                                                                       
        application()
        application(codelite.desktop)
        libdatabaselayersqlite.so()(64bit)
        liblibcodelite.so()(64bit)
        libplugin.so()(64bit)
        libwxshapeframework.so()(64bit)
        libwxsqlite3.so()(64bit)
        codelite = 8.1-1.25
        codelite(x86-64) = 8.1-1.25
    
    zim$
    (2) It shows libplugin.so is provided (5th line from bottom). Now to install:

    Code:
    zim$ sudo zypper install codelite
    [sudo] password for ian: 
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following 16 NEW packages are going to be installed:
      codelite libclang6 liblldb6 libmspack0 libwx_baseu_net-suse3_0_4 libwx_baseu-suse3_0_4 libwx_baseu_xml-suse3_0_4
      libwx_gtk2u_adv-suse3_0_4 libwx_gtk2u_aui-suse3_0_4 libwx_gtk2u_core-suse3_0_4 libwx_gtk2u_html-suse3_0_4
      libwx_gtk2u_propgrid-suse3_0_4 libwx_gtk2u_ribbon-suse3_0_4 libwx_gtk2u_stc-suse3_0_4 libwx_gtk2u_xrc-suse3_0_4
      wxWidgets-lang
    
    The following recommended package was automatically selected:
      wxWidgets-lang
    
    16 new packages to install.
    Overall download size: 26.5 MiB. Already cached: 0 B. After the operation, additional 111.5 MiB will be used.
    Continue? [y/n/...? shows all options] (y): y
    Retrieving package libclang6-6.0.1-2.1.x86_64                                  (1/16),   8.6 MiB ( 40.8 MiB unpacked)
    Retrieving: libclang6-6.0.1-2.1.x86_64.rpm ......................................................[done (375.5 KiB/s)]
    Retrieving package libmspack0-0.6-2.3.x86_64                                   (2/16),  62.8 KiB (132.4 KiB unpacked)
    Retrieving: libmspack0-0.6-2.3.x86_64.rpm .....................................................................[done]
    Retrieving package wxWidgets-lang-3.0.4-2.2.noarch                             (3/16), 452.9 KiB (  2.5 MiB unpacked)
    Retrieving: wxWidgets-lang-3.0.4-2.2.noarch.rpm ...............................................................[done]
    Retrieving package liblldb6-6.0.1-2.1.x86_64                                   (4/16),   2.7 MiB ( 11.1 MiB unpacked)
    Retrieving: liblldb6-6.0.1-2.1.x86_64.rpm .......................................................[done (280.8 KiB/s)]
    Retrieving package libwx_baseu-suse3_0_4-3.0.4-2.2.x86_64                      (5/16), 694.3 KiB (  2.2 MiB unpacked)
    Retrieving: libwx_baseu-suse3_0_4-3.0.4-2.2.x86_64.rpm ..........................................[done (102.2 KiB/s)]
    Retrieving package libwx_gtk2u_core-suse3_0_4-3.0.4-2.2.x86_64                 (6/16),   1.4 MiB (  5.8 MiB unpacked)
    Retrieving: libwx_gtk2u_core-suse3_0_4-3.0.4-2.2.x86_64.rpm .....................................[done (468.5 KiB/s)]
    Retrieving package libwx_baseu_xml-suse3_0_4-3.0.4-2.2.x86_64                  (7/16),  41.8 KiB ( 62.9 KiB unpacked)
    Retrieving: libwx_baseu_xml-suse3_0_4-3.0.4-2.2.x86_64.rpm ........................................[done (8.3 KiB/s)]
    Retrieving package libwx_baseu_net-suse3_0_4-3.0.4-2.2.x86_64                  (8/16), 100.2 KiB (248.7 KiB unpacked)
    Retrieving: libwx_baseu_net-suse3_0_4-3.0.4-2.2.x86_64.rpm ....................................................[done]
    Retrieving package libwx_gtk2u_stc-suse3_0_4-3.0.4-2.2.x86_64                  (9/16), 697.0 KiB (  2.3 MiB unpacked)
    Retrieving: libwx_gtk2u_stc-suse3_0_4-3.0.4-2.2.x86_64.rpm .......................................[done (33.7 KiB/s)]
    Retrieving package libwx_gtk2u_ribbon-suse3_0_4-3.0.4-2.2.x86_64              (10/16), 162.5 KiB (524.4 KiB unpacked)
    Retrieving: libwx_gtk2u_ribbon-suse3_0_4-3.0.4-2.2.x86_64.rpm .....................................[done (8.5 KiB/s)]
    Retrieving package libwx_gtk2u_html-suse3_0_4-3.0.4-2.2.x86_64                (11/16), 263.2 KiB (871.4 KiB unpacked)
    Retrieving: libwx_gtk2u_html-suse3_0_4-3.0.4-2.2.x86_64.rpm ...................................................[done]
    Retrieving package libwx_gtk2u_aui-suse3_0_4-3.0.4-2.2.x86_64                 (12/16), 180.6 KiB (578.0 KiB unpacked)
    Retrieving: libwx_gtk2u_aui-suse3_0_4-3.0.4-2.2.x86_64.rpm ........................................[done (8.3 KiB/s)]
    Retrieving package libwx_gtk2u_adv-suse3_0_4-3.0.4-2.2.x86_64                 (13/16), 457.8 KiB (  1.8 MiB unpacked)
    Retrieving: libwx_gtk2u_adv-suse3_0_4-3.0.4-2.2.x86_64.rpm ....................................................[done]
    Retrieving package libwx_gtk2u_xrc-suse3_0_4-3.0.4-2.2.x86_64                 (14/16), 239.2 KiB (910.5 KiB unpacked)
    Retrieving: libwx_gtk2u_xrc-suse3_0_4-3.0.4-2.2.x86_64.rpm ........................................[done (8.3 KiB/s)]
    Retrieving package libwx_gtk2u_propgrid-suse3_0_4-3.0.4-2.2.x86_64            (15/16), 268.3 KiB (888.9 KiB unpacked)
    Retrieving: libwx_gtk2u_propgrid-suse3_0_4-3.0.4-2.2.x86_64.rpm ...............................................[done]
    Retrieving package codelite-8.1-1.25.x86_64                                   (16/16),  10.3 MiB ( 40.9 MiB unpacked)
    Retrieving: codelite-8.1-1.25.x86_64.rpm ........................................................[done (415.5 KiB/s)]
    Checking for file conflicts: ..................................................................................[done]
    ( 1/16) Installing: libclang6-6.0.1-2.1.x86_64 ................................................................[done]
    ( 2/16) Installing: libmspack0-0.6-2.3.x86_64 .................................................................[done]
    ( 3/16) Installing: wxWidgets-lang-3.0.4-2.2.noarch ...........................................................[done]
    ( 4/16) Installing: liblldb6-6.0.1-2.1.x86_64 .................................................................[done]
    ( 5/16) Installing: libwx_baseu-suse3_0_4-3.0.4-2.2.x86_64 ....................................................[done]
    ( 6/16) Installing: libwx_gtk2u_core-suse3_0_4-3.0.4-2.2.x86_64 ...............................................[done]
    ( 7/16) Installing: libwx_baseu_xml-suse3_0_4-3.0.4-2.2.x86_64 ................................................[done]
    ( 8/16) Installing: libwx_baseu_net-suse3_0_4-3.0.4-2.2.x86_64 ................................................[done]
    ( 9/16) Installing: libwx_gtk2u_stc-suse3_0_4-3.0.4-2.2.x86_64 ................................................[done]
    (10/16) Installing: libwx_gtk2u_ribbon-suse3_0_4-3.0.4-2.2.x86_64 .............................................[done]
    (11/16) Installing: libwx_gtk2u_html-suse3_0_4-3.0.4-2.2.x86_64 ...............................................[done]
    (12/16) Installing: libwx_gtk2u_aui-suse3_0_4-3.0.4-2.2.x86_64 ................................................[done]
    (13/16) Installing: libwx_gtk2u_adv-suse3_0_4-3.0.4-2.2.x86_64 ................................................[done]
    (14/16) Installing: libwx_gtk2u_xrc-suse3_0_4-3.0.4-2.2.x86_64 ................................................[done]
    (15/16) Installing: libwx_gtk2u_propgrid-suse3_0_4-3.0.4-2.2.x86_64 ...........................................[done]
    (16/16) Installing: codelite-8.1-1.25.x86_64 ..................................................................[done]
    zim$
    (3) Now to run:

    Code:
    zim$ codelite
    codelite: error while loading shared libraries: libplugin.so: cannot open shared object file: No such file or directory
    zim$

  4. #4

    Default Re: CodeLite install broken

    The library libplugin.so appears to be there also.

    Code:
    zim$ ls -l /usr/lib64/codelite/libplugin.so
    -rwxr-xr-x 1 root root 5218480 Aug 21 07:58 /usr/lib64/codelite/libplugin.so
    zim$
    So I am a bit perplexed.

  5. #5

    Default Re: CodeLite install broken

    If I copy libplugin.so from /usr/lib64/codelite/ to /usr/lib64/ I get an error with a different library:

    Code:
    zim$ codelite
    codelite: error while loading shared libraries: liblibcodelite.so: cannot open shared object file: No such file or directory
    zim$
    Honestly it looks like CodeLite isn't looking in its own /usr/lib64/codelite/ directory for the libraries. Presumably if I am prepared to make a big mess in /usr/lib64/ I could get it to run.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •